import 'package:elektronika/app/data/models/models.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class CartState {
  RxBool isLoading = false.obs;

  Rxn<CartModel?> cartModel = Rxn<CartModel>();

  RxList<ShippingRateModel> shippingRates = <ShippingRateModel>[].obs;
  Rxn<ShippingRateModel> selectedShippingRate = Rxn<ShippingRateModel>();

  RxList<PaymentMethodModel> paymentMethods = <PaymentMethodModel>[].obs;
  Rxn<PaymentMethodModel> selectedPaymentMethod = Rxn<PaymentMethodModel>();

  TextEditingController couponCodeCtrl = new TextEditingController();
  RxBool isCouponApplied = false.obs;
}
